﻿<%@ page language="C#" autoeventwireup="true" inherits="Setup, App_Web_dncsgd3r" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style>
        .divContent {
            padding:30px;width:580px;background-color:#eee;margin-top:30px;
            box-shadow: 4px 4px 5px #000;
        border:4px solid #b6b4b4;
border-radius:10px;
        }
        .button {
        font-family:Tahoma;
        font-size:12px;
        height:28px;
        border:2px solid #3a4864;
border-radius:4px;
        }
    </style>
</head>
<body style="background:#2e1b13;margin:0px;">
    <form id="form1" runat="server">
         <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
              <ContentTemplate>
                  <div align="center">
                      
                      <table dir="rtl" cellspacing="0" cellpadding="5px" class="divContent">
                          <tr>
                              <td colspan="3" align="right">
                                  <div>
                                  <img alt="" src="Images/exit.png" style="float:right;padding-left:5px;padding-right:10px;" />
                                  <asp:LinkButton ID="logout"  runat="server" Font-Names="Tahoma" Font-Size="12px" Text="خروج از تنظیمات" OnClick="logout_Click"></asp:LinkButton>
                              </div>
                                      </td>
                          </tr>
                          <tr>
                              <td align="left"><span style="font-family:Tahoma;font-size:12px;">کد شرکت :</span></td>
                              <td><asp:TextBox ID="txtCustomerCode" ForeColor="#000" runat="server" Width="150px" ></asp:TextBox>
                                  <asp:Button Text="بررسی" Width="80px" runat="server" ID="btnValidateCustomer"
                                      CssClass="button" OnClick="btnValidateCustomer_Click"></asp:Button>
                              </td>
                              <td><asp:Image ID="pictureBox_CustomerCode" runat="server" Visible="false" Width="20px" ImageUrl="~/Images/ok.png" /></td>
                          </tr>
                          <tr>
                              <td align="left"><span style="font-family:Tahoma;font-size:12px;">اعتبار سنجی شرکت :</span></td>
                              <td><asp:TextBox ID="textBox_CompanyActive" ReadOnly="true" BackColor="#efefef" runat="server" Width="250px" ></asp:TextBox></td>
                              <td><asp:Image ID="pictureBox_Active" runat="server" Visible="false" Width="20px" ImageUrl="~/Images/ok.png" /></td>
                          </tr>
                          <tr>
                              <td align="left"><span style="font-family:Tahoma;font-size:12px;">مجوز نرم افزار :</span></td>
                              <td><asp:TextBox ID="textBox_CompanyName" ReadOnly="true" BackColor="#efefef" runat="server" Width="250px" ></asp:TextBox></td>
                              <td><asp:Image ID="pictureBox_CompanyName" runat="server" Visible="false" Width="20px" ImageUrl="~/Images/ok.png" /></td>
                          </tr>
                          <tr>
                            <td colspan="3" style="text-align:center;">
                                <asp:Label ID="txt_error" runat="server" ForeColor="red" Visible="false"></asp:Label>
                            </td>
                          </tr>
                          <tr>
                              <td align="left"><span style="font-family:Tahoma;font-size:12px;">نام شعبه ها :</span></td>
                              <td><asp:CheckBoxList ID="chListCustomerBranch" runat="server" Font-Names="Tahoma" 
                                      Font-Size="12px" Width="250px" DataTextField="CustomerBranchName" 
                                      DataValueField="CustomerBranchID" >
                                  </asp:CheckBoxList></td>
                              <td>
                                  <asp:Button Text="تایید" CssClass="button" Width="80px" runat="server" 
                                      ID="button_ApprovedCustomerBranch" Visible="false" onclick="button_ApprovedCustomerBranch_Click"  ></asp:Button>
                              </td>
                          </tr>
                          <tr>
                              <td colspan="3">
                                  <div id="configPanel" runat="server" visible="false">
                                  <table style="width:100%;">
                                      <tr>
                                          <td colspan="3" align="center" style="background-color:#ddd;">
                                              <span style="font-family:Tahoma;font-size:12px; ">تنظیمات پایگاه داده :</span>
                                          </td>
                                      </tr>
                                       <tr>
                                          <td align="left"><span style="font-family:Tahoma;font-size:12px;">شعب انتخاب شده:</span></td>
                                          <td><asp:DropDownList ID="chSelectedCustomerBranch" runat="server" Width="250px" 
                                              DataTextField="CustomerBranchName" DataValueField="CustomerBranchID"
                                               AutoPostBack="True" 
                                                  onselectedindexchanged="chSelectedCustomerBranch_SelectedIndexChanged"></asp:DropDownList></td>
                                      </tr>
                                      <tr>
                                          <td align="left"><span style="font-family:Tahoma;font-size:12px;">نسخه پایگاه داده :</span></td>
                                          <td><asp:DropDownList ID="cmbServerVersion" runat="server" Width="250px" >
                                              <asp:ListItem Value="SQL Server 2000">SQL Server 2000</asp:ListItem>
                                              <asp:ListItem Value="SQL Server Higher" Selected="True">SQL Server Higher</asp:ListItem>
                                              </asp:DropDownList></td>
                                      </tr>
                                      <tr>
                                          <td align="left"><span style="font-family:Tahoma;font-size:12px;">نام سرور :</span></td>
                                          <td><asp:TextBox dir="ltr" ID="txtServerName" runat="server" Width="250px" ></asp:TextBox></td>
                                      </tr>
                                      <tr>
                                          <td></td>
                                          <td>
                                              <asp:RadioButton runat="server" ID="rbWindowsAuth" Text="شناسایی ویندوز" Font-Names="Tahoma" Font-Size="12px" Checked="true" GroupName="Auth" AutoPostBack="true" OnCheckedChanged="rbWindowsAuth_CheckedChanged"/>&nbsp;
                                               <asp:RadioButton runat="server" ID="rbSQLAuth" Text="شناسایی امنیتی" Font-Names="Tahoma" Font-Size="12px" AutoPostBack="true" GroupName="Auth" OnCheckedChanged="rbWindowsAuth_CheckedChanged" />
                                          </td>
                                      </tr>
                                      <tr>
                                          <td align="left"><span style="font-family:Tahoma;font-size:12px;">نام کاربری :</span></td>
                                          <td><asp:TextBox dir="ltr" ID="txtUserName" runat="server" Width="250px" Enabled="False" ></asp:TextBox></td>
                                      </tr>
                                      <tr>
                                          <td align="left"><span style="font-family:Tahoma;font-size:12px;">رمز کاربری :</span></td>
                                          <td><asp:TextBox ID="txtPassword" dir="ltr" runat="server" Width="250px" Enabled="False" ></asp:TextBox></td>
                                      </tr>
                                      <tr>
                                          <td align="left"><span style="font-family:Tahoma;font-size:12px;">نام دیتابیس :</span></td>
                                          <td><asp:TextBox ID="txtDatabaseName" dir="lrt" runat="server" Width="250px" /></td>
                                          <td>&nbsp;</td>
                                      </tr>
                                      <tr>
                                          <td align="center" colspan="3">
                                              <asp:Button ID="Button_Save" CssClass="button" runat="server" 
                                                  Text="ذخیره تنظیمات" Enabled="False" onclick="Button_Save_Click"  />
                                              <asp:Button ID="Button_UpdateDataMap" CssClass="button" runat="server" 
                                                  Text="به روز رسانی گزارش ها" Visible="False" 
                                                  onclick="Button_UpdateDataMap_Click"  />
                                          </td>
                                      </tr>
                                  </table>
                              </div>
                                      </td>
                          </tr>
                      </table>
                  </div>
              </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="chSelectedCustomerBranch"  EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger ControlID="rbWindowsAuth"  EventName="CheckedChanged" />
                <asp:AsyncPostBackTrigger ControlID="rbSQLAuth"  EventName="CheckedChanged" />
            </Triggers>
        </asp:UpdatePanel>
         <asp:UpdateProgress ID="UpdateProgress1" runat="server">
        <ProgressTemplate>
            <div id='PopupLoading' runat="server" style='z-index:100;position:absolute;top:0;left:0;width:100%;height:100%;background-color:rgba(63,65,67,0.5);'>
		    <div style='position:relative;width:100%;height:100%;'>
		    <div style='width:300px;height:100px;top:50%;left:50%;position:absolute;margin-top:-120px;margin-left:-150px;color:#FFF;border-radius:10px;-moz-border-radius:10px;-webkit-border-radius: 10px;background:#ccc;
		    background: #e5e5e5;border: 1px solid #9c9d9d;border-color: rgba(63,65,67,.5);'><img style='width:164px;height:32px;top:20px;left:68px;position:absolute;' src='Images/loader.gif' alt='' />
            <span style='width:300px;height:30px;top:60px;left:0px;position:absolute;color:#000;text-align:center;direction:rtl;font-size:13px;font-family:tahoma;'>در حال انجام پردازش اطلاعات ...</span></div></div></div>
        </ProgressTemplate>
    </asp:UpdateProgress>
    </form>
</body>
</html>

